Subject: SD IDs (was: RE: [Syslog-sec] Syslog protocoldraft(draft-ietf-syslog-protocol-11.txt))

From: "Alexander Clemm (alex)" <[email-masked]>
Date: Tue, 10 May 2005 11:06:42 -0700

Hi,

please see my 2 cents on this issue below, at the bottom.

Thanks
--- Alex 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Rainer Gerhards
Sent: Friday, May 06, 2005 9:15 AM
To: syslog
Subject: RE: [Syslog-sec] Syslog protocoldraft(draft-ietf-syslog-protocol-11.txt)

Clément,

you are right, vendor extensions are covered by the "x-" rule. I have changed the confusing text as follows:

####
6.3.2  SD-ID

   IANA controls ALL SD-IDs without a hyphen ('-') in the second
   character position.  SD-IDs are case-sensitive and uniquely identify
   the type and purpose of the SD-ELEMENT.  Experimental or vendor-
   specific SD-ID MUST start with "x-".  The first character MUST NOT be
   anything other than "x" if the second character is a hyphen ('-').
   The same SD-ID MUST NOT exist more than once in a message.
####

This text reserves all names with a hyphen in the second position and declares everything invalid, except those that have a "x" in front of the hyphen.

We could alternatively say that the full name space can be used and is controlled by IANA, with the exception of SD-IDs starting with "x-", which are reserved for vendor use. In this case, the "x-" header would delegate part of the name space.

Any comments on this?

Many thanks,
Rainer

***ALEX: I think this is expressed a bit awkward.  Also, why require vendor extensions to use 2 extra characters ("x-") to designate them as such?  You could say that IANA SD-IDs will have no hyphen in the second position, whereas vendor extensions always need one (but then why restrict it to the letter "x"?)  Or, to make it even more compact, you could say that IANA SD-IDs will start with any letter other than "x", while vendor extensions always MUST start with the letter "x".  I don't think the extra hyphen is needed.  Given that we may see multiple SD-Elements in syslog messages and there are length restrictions, it seems prudent to be very economical with requiring additional positions.  
_______________________________________________
Syslog-sec mailing list
[email-masked]
http://www.employees.org/mailman/listinfo/syslog-sec